<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
// +----------------------------------------------------------------------+
// | PHP version 5                                                        |
// +----------------------------------------------------------------------+
// | Copyright 2005-2007 the Seasar Foundation and the Others.            |
// +----------------------------------------------------------------------+
// | Licensed under the Apache License, Version 2.0 (the "License");      |
// | you may not use this file except in compliance with the License.     |
// | You may obtain a copy of the License at                              |
// |                                                                      |
// |     http://www.apache.org/licenses/LICENSE-2.0                       |
// |                                                                      |
// | Unless required by applicable law or agreed to in writing, software  |
// | distributed under the License is distributed on an "AS IS" BASIS,    |
// | WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,                        |
// | either express or implied. See the License for the specific language |
// | governing permissions and limitations under the License.             |
// +----------------------------------------------------------------------+
// | Authors: nowel                                                       |
// +----------------------------------------------------------------------+
// $Id$
//
/**
 * @author nowel
 */
class S2Dao_AddWhereIfNode extends S2Dao_ContainerNode {
    
    const pat = '/\s*(order\sby)|$)/i';
    
    public function __construct() {
    }
    
    public function accept(S2Dao_CommandContext $ctx) {
        $childCtx = new S2Dao_CommandContextImpl($ctx);
        parent::accept($childCtx);
        if ($childCtx->isEnabled()) {
            $sql = $childCtx->getSql();
            if(!preg_match(self::pat, $sql)){
                $sql .= ' WHERE ' . $sql;
            }
            $ctx->addSql($sql, $childCtx->getBindVariables(), $childCtx->getBindVariableTypes());
        }
    }
}

?>